gnutls_url_is_supported(3)

NAME
gnutls_url_is_supported - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_url_is_supported(const char* url);

ARGUMENTS

const char* url
    A PKCS 11 url

DESCRIPTION
Check whether url is supported. Depending on the system libraries GnuTLS may support pkcs11 or tpmkey URLs.

RETURNS
return non-zero if the given URL is supported, and zero if it is not known.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/